Summary:        High-level API (toolkit) allowing the application programmer to construct and inject network packets.
Name:           libnet10
Version:        1.0.2a
Release:        5
Epoch:          0
URL:            http://www.packetfactory.net/libnet/
License:        BSD
Group:          System Environment/Libraries
Source0:        http://www.packetfactory.net/libnet/dist/deprecated/libnet-1.0.2a.tar.gz
Patch0:         gcc33.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes:      libnet < 1.1.0
Provides:       libnet = %{epoch}:%{version}-%{release}

%description
Libnet is a high-level API (toolkit) allowing the application programmer to
construct and inject network packets. It provides a portable and simplified 
interface for low-level network packet shaping, handling and injection. Libnet
hides much of the tedium of packet creation from the application programmer
such as multiplexing, buffer management, arcane packet header information,
byte-ordering, OS-dependent issues, and much more. Libnet features portable
packet creation interfaces at the IP layer and link layer, as well as a host of
supplementary and complementary functionality. Using libnet, quick and simple
packet assembly applications can be whipped up with little effort. With a bit
more time, more complex programs can be written (Traceroute and ping were
easily rewritten using libnet and libpcap).



%prep
%setup -q -n Libnet-%{version}
%patch0 -p1



%build
%configure
make %{?_smp_mflags}



%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man3/
mv ${RPM_BUILD_ROOT}/usr/man/man3/* ${RPM_BUILD_ROOT}%{_mandir}/man3/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man3/*
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/*.*
chmod 0644 ${RPM_BUILD_ROOT}%{_includedir}/*.*
chmod 0644 ${RPM_BUILD_ROOT}%{_includedir}/libnet/*.*



%clean
rm -rf ${RPM_BUILD_ROOT}



%files
%defattr(-,root,root,-)
%doc README doc/COPYING doc/CHANGELOG
%{_bindir}/*
%{_includedir}/libnet
%{_includedir}/*.h
%{_libdir}/*
%{_mandir}/man3/*



%changelog
* Wed Sep 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.2a-0.fdr.5
- Fixed last header file permission.

* Mon Sep 15 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.2a-0.fdr.4
- Spec patch from Michael Schwendt (header file permissions)

* Sun Sep 07 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.2a-0.fdr.3
- Fixed file permissions.

* Wed Jul 30 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.2a-0.fdr.2
- gcc33 patch from Enrico Scholz.
- no longer need gcc32.
- spec same for shrike and severn.
- renamed spec to libnet10.spec.

* Fri Jul 25 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.2a-0.fdr.1
- shrke vs severn differentiation
- buildroot -> RPM_BUILD_ROOT.
- Renamed to libnet10.
- Provides libnet
- Obsoletes libnet < 1.1.0.
- BuildReq gcc32 for severn.

* Mon Apr 07 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.2a-0.fdr.1
- Initial Release.
